> ## Documentation Index
> Fetch the complete documentation index at: https://docs.useinvent.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Suppress identifiers in bulk

> Add many emails or phone numbers to the org suppression list at once. Contacts are never created or modified.



## OpenAPI

````yaml https://api.useinvent.com/openapi.json post /orgs/{org_id}/suppressions/bulk
openapi: 3.1.0
info:
  version: 1.0.0
  title: Invent API
servers:
  - url: https://api.useinvent.com
security:
  - bearerAuth: []
tags:
  - name: Inbox
  - name: Chats
  - name: Messages
  - name: Contacts
  - name: Custom channels
  - name: Segments
  - name: Suppressions
  - name: Assistants
  - name: Agents
  - name: Skills
  - name: Knowledge
  - name: AI
  - name: Broadcasts
  - name: Email sending
  - name: WhatsApp
  - name: WhatsApp Meta agent
  - name: Tables
  - name: Records
  - name: Views
  - name: Pages
  - name: Connections
  - name: Workspace
  - name: Sub-organizations
  - name: Analytics and logs
  - name: Workflows
paths:
  /orgs/{org_id}/suppressions/bulk:
    post:
      tags:
        - Suppressions
      summary: Suppress identifiers in bulk
      description: >-
        Add many emails or phone numbers to the org suppression list at once.
        Contacts are never created or modified.
      parameters:
        - schema:
            type: string
          required: true
          description: The ID of the org
          name: org_id
          in: path
      requestBody:
        description: ''
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateSuppressionsSchema'
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/CreateSuppressionsSchema'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SuppressionsImportedSchema'
components:
  schemas:
    CreateSuppressionsSchema:
      type: object
      properties:
        reason:
          allOf:
            - $ref: '#/components/schemas/SuppressionReasonSchema'
            - description: Why these are suppressed (default MANUAL).
        identifiers:
          type: array
          items:
            $ref: '#/components/schemas/SuppressionOptionSchema'
          maxItems: 50000
          title: Entries
          description: The identifiers, one per row.
      required:
        - identifiers
      description: Schema for suppressing many identifiers at once
    SuppressionsImportedSchema:
      type: object
      properties:
        created:
          type: number
        skipped:
          type: number
        invalid:
          type: array
          items:
            $ref: '#/components/schemas/SuppressionInvalidSchema'
      required:
        - created
        - skipped
        - invalid
      description: Result of a bulk suppression import
    SuppressionReasonSchema:
      type: string
      enum:
        - BOUNCE
        - COMPLAINT
        - UNSUBSCRIBE
        - MANUAL
        - LEGAL
      options:
        BOUNCE:
          label: Bounce
        COMPLAINT:
          label: Complaint
        UNSUBSCRIBE:
          label: Unsubscribe
        MANUAL:
          label: Manual
        LEGAL:
          label: Legal
      description: Why the identifier is suppressed
      title: Reason
    SuppressionOptionSchema:
      type: object
      properties:
        channel:
          $ref: '#/components/schemas/SuppressionChannelSchema'
        identifier:
          type: string
          maxLength: 320
          title: Identifier
          description: The email or phone number to suppress
      required:
        - channel
        - identifier
      description: A single identifier to suppress
    SuppressionInvalidSchema:
      type: object
      properties:
        index:
          type: number
          description: Position of the identifier in the submitted array
        identifier:
          $ref: '#/components/schemas/SuppressionOptionSchema'
        reason:
          $ref: '#/components/schemas/SuppressionInvalidReasonSchema'
      required:
        - index
        - identifier
        - reason
      description: A rejected identifier with the reason it failed validation
    SuppressionChannelSchema:
      type: string
      enum:
        - EMAIL
        - PHONE
      options:
        EMAIL:
          label: Email
        PHONE:
          label: Phone
      title: Channel
      description: The channel an identifier is suppressed on
    SuppressionInvalidReasonSchema:
      type: string
      enum:
        - INVALID_EMAIL
        - INVALID_PHONE
        - MISSING_IDENTIFIER
      description: Why an imported identifier was rejected
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: Bearer token authentication using your API key

````